/* TableStyleMedium27.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn27
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium27 extends TableStyleImpl {
	private TableStyleMedium27() {
		super(
				"TableStyleMedium27",//name,
				M27_Whole_Table, 	//wholeTable,
				M27_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M27_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M27_Last_Col, 	//lastCol,
				M27_First_Col,	//firstCol,
				M27_Header_Row,	//headerRow,
				M27_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M27_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "B6DDE8", "B6DDE8"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M27_Row_Stripe1 =
			M27_Col_Stripe1;
	private static final STableStyleElem M27_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null, //fill
				null //border
			);
	private static final STableStyleElem M27_First_Col =
			M27_Last_Col;
	private static final STableStyleElem M27_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.MEDIUM, "4BACC6"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M27_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					null
			);
	private static final BorderLineImpl M27_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "93CDDD");
	private static final STableStyleElem M27_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "DBEEF3", "DBEEF3"),//fill //ZSS-1162
					new BorderImpl(
							M27_Border_Line, //left 
							M27_Border_Line, //top 
							M27_Border_Line, //right
							M27_Border_Line, //bottom
							null, //diagonal
							M27_Border_Line, //vertical
							M27_Border_Line 	//horizontal
					)
			);

	public static final TableStyleMedium27 instance = new TableStyleMedium27();
}
